> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# UpdateAccountSettings

This method is used to modify account level settings.

## Schema

| Name            | Schema Type     | Description                                                                                                               |
| --------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------- |
| AccountId       | String          | The account ID for the account to be modified.                                                                            |
| AccountSettings | AccountSettings | A complex type with the account settings information being modified. See the AccountSettings section for more information |

### Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/UpdateAccountSettings"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <UpdateAccountSettings xmlns="http://www.docusign.net/API/AccountManagement">
         <AccountId>string</AccountId>
         <AccountSettings>
            <UsesAPI>boolean</UsesAPI>
            <EnableDSPro>boolean</EnableDSPro>
            <EnableSendToManage>boolean</EnableSendToManage>
            <EnableSendToAgent>boolean</EnableSendToAgent>
            <EnableVaulting>boolean</EnableVaulting>
            <EnableEnvelopeStampingByAccountAdmin>boolean</EnableEnvelopeStampingByAccountAdmin>
            <EnvelopeStampingDefaultValue>boolean</EnvelopeStampingDefaultValue>
            <SignerMustHaveAccount>boolean</SignerMustHaveAccount>
            <SignerMustLoginToSign>boolean</SignerMustLoginToSign>
            <SignerCanCreateAccount>boolean</SignerCanCreateAccount>
            <AllowInPerson>boolean</AllowInPerson>
            <EnablePowerForm>boolean</EnablePowerForm>
            <AllowSignerReassign>boolean</AllowSignerReassign>
            <EnableReservedDomain>boolean</EnableReservedDomain>
            <EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI>
            <EnableSequentialSigningUI>boolean</EnableSequentialSigningUI>
            <EnableAutoNav>boolean</EnableAutoNav>
            <AutoNavRule>bytes</AutoNavRule>
            <EnableTransactionPoint>boolean</EnableTransactionPoint>
            <EnvelopeIntegrationAllowed>bytes</EnvelopeIntegrationAllowed>
            <EnvelopeIntegrationEnabled>boolean</EnvelopeIntegrationEnabled>
            <CanSelfBrandSend>boolean</CanSelfBrandSend>
            <CanSelfBrandSign>boolean</CanSelfBrandSign>
            <IDCheckRequired>bytes</IDCheckRequired>
            <IDCheckExpire>bytes</IDCheckExpire>
            <IDCheckExpireDays>integer</IDCheckExpireDays>
            <SignDateFormat>string</SignDateFormat>
            <PKISignDownloadedPDFDocs>bytes</PKISignDownloadedPDFDocs>
            <InPersonIDCheckQuestion>string</InPersonIDCheckQuestion>
            <SessionTimeout>integer</SessionTimeout>
            <AttachCompletedEnvelope>boolean</AttachCompletedEnvelope>
            <SignerCanSignOnMobile>boolean</SignerCanSignOnMobile>
            <SignerShowSecureFieldInitialValues>boolean</SignerShowSecureFieldInitialValues>
            <SignerAttachCertificateToEnvelopePDF>boolean</SignerAttachCertificateToEnvelopePDF>
            <EnableSignOnPaper>boolean</EnableSignOnPaper>
            <EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride>
            <EnableSignerAttachments>boolean</EnableSignerAttachments>
            <UseAccountLevelEmail>boolean</UseAccountLevelEmail>
         </AccountSettings>
      </UpdateAccountSettings>
   </soap:Body>
</soap:Envelope>
```

The method returns either a success or failure. If the call fails an [error code](/docs/esign-rest-api/esign101/error-codes) is provided.

### Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <UpdateAccountSettingsResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <UpdateAccountSettingsResult>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
               <Description>string</Description>
            </Error>
         </UpdateAccountSettingsResult>
      </UpdateAccountSettingsResponse>
   </soap:Body>
</soap:Envelope>
```